%global pypi_name ghp-import2

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        A GitHub Pages import tool

License:        TPL
URL:            https://github.com/ionelmc/python-ghp-import
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Overview A GitHub Pages import tool.Warning This will **DESTROY** your gh-pages
branch. If you love it, you'll want to take backups before playing with this.
This script assumes that gh-pages is 100% derivative. You should never edit
files in your gh-pages branch by hand if you're using this script because you
will lose your work. Installation :: pip install ghp-import2Usage Usage: ghp-
import...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Overview A GitHub Pages import tool.Warning This will **DESTROY** your gh-pages
branch. If you love it, you'll want to take backups before playing with this.
This script assumes that gh-pages is 100% derivative. You should never edit
files in your gh-pages branch by hand if you're using this script because you
will lose your work. Installation :: pip install ghp-import2Usage Usage: ghp-
import...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/ghp-import
%{python3_sitelib}/ghp_import
%{python3_sitelib}/ghp_import2-%{version}-py?.?.egg-info

%changelog
* Sat Sep  1 2018 José Matos <jamatos@fedoraproject.org> - 1.0.1-1
- initial package.
